Bug 1444222 - Embedded Ansible Service is not passing extra_vars overridden at runtime by user
Summary: Embedded Ansible Service is not passing extra_vars overridden at runtime by user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Bill Wei
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1444107
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 21:24 UTC by Satoe Imaishi
Modified: 2017-05-31 14:57 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1444107
Environment:
Last Closed: 2017-05-31 14:57:09 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-20 22:41:23 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/c98edd1cc19219de5a1852c3ff64044f16ea1ee8

commit c98edd1cc19219de5a1852c3ff64044f16ea1ee8
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Thu Apr 20 16:45:29 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 20 18:38:54 2017 -0400

    Merge pull request #14824 from bzwei/extra_var_key
    
    Use HashWithIndifferentAccess for job options
    (cherry picked from commit c29d771e727e28748cb5a1d40fd3c41c5a8fc04a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444222

 app/models/service_ansible_playbook.rb       | 2 +-
 spec/models/service_ansible_playbook_spec.rb | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

Comment 3 Dmitry Misharov 2017-05-03 11:13:57 UTC
Verified in 5.8.0.13-rc2.20170502165848_0f98658. Extra vars values can be successfully overridden.

Comment 5 errata-xmlrpc 2017-05-31 14:57:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.